Up

# NSDateIntervalFormatter class documentation

### Authors

Gregory John Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSDateIntervalFormatter class

## NSDateIntervalFormatter : NSFormatter

> Declared in:
>   Foundation/NSDateIntervalFormatter.h

Availability: MacOS-X 10.10.0
Description forthcoming.

Instance Variables
Method summary

- -calendar
- -dateStyle
- -dateTemplate
- -locale
- -setCalendar:
- -setDateStyle:
- -setDateTemplate:
- -setLocale:
- -setTimeStyle:
- -setTimeZone:
- -stringFromDate:toDate:
- -stringFromDateInterval:
- -timeStyle
- -timeZone

### calendar

- (NSCalendar*) calendar;
Availability: MacOS-X 10.10.0
Description forthcoming.

### dateStyle

- (NSDateIntervalFormatterStyle) dateStyle;
Availability: MacOS-X 10.10.0
Description forthcoming.

### dateTemplate

- (NSString*) dateTemplate;
Availability: MacOS-X 10.10.0
Description forthcoming.

### locale

- (NSLocale*) locale;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setCalendar:

- (void) setCalendar: (NSCalendar*)calendar;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setDateStyle:

- (void) setDateStyle: (NSDateIntervalFormatterStyle)dateStyle;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setDateTemplate:

- (void) setDateTemplate: (NSString*)dateTemplate;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setLocale:

- (void) setLocale: (NSLocale*)locale;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setTimeStyle:

- (void) setTimeStyle: (NSDateIntervalFormatterStyle)timeStyle;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setTimeZone:

- (void) setTimeZone: (NSTimeZone*)timeZone;
Availability: MacOS-X 10.10.0
Description forthcoming.

### stringFromDate: toDate:

- (NSString*) stringFromDate: (NSDate*)fromDate toDate: (NSDate*)toDate;
Availability: MacOS-X 10.10.0
Description forthcoming.

### stringFromDateInterval:

- (NSString*) stringFromDateInterval: (NSDateInterval*)dateInterval;
Availability: MacOS-X 10.10.0
Description forthcoming.

### timeStyle

- (NSDateIntervalFormatterStyle) timeStyle;
Availability: MacOS-X 10.10.0
Description forthcoming.

### timeZone

- (NSTimeZone*) timeZone;
Availability: MacOS-X 10.10.0
Description forthcoming.

## Instance Variables for NSDateIntervalFormatter Class

### _calendar

@protected NSCalendar* _calendar;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dateStyle

@protected NSDateIntervalFormatterStyle _dateStyle;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dateTemplate

@protected NSString* _dateTemplate;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _locale

@protected NSLocale* _locale;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _timeStyle

@protected NSDateIntervalFormatterStyle _timeStyle;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _timeZone

@protected NSTimeZone* _timeZone;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up